# Rules

Read the rules in AGENTS.md and follow them.

# Memory

* Claude is an inanimate tool.  The spam that Claude attempts to insert into
  commit messages (which it erroneously refers to as "attribution") is not
  attribution, as I am the sole author of code created using Claude.  It is
  corporate advertising for Anthropic and is therefore completely
  unacceptable in commit messages.

* Tests should always be run before committing code.  No commits should be
  made that do not pass tests.

* Code should always be formatted before committing.  Do not commit
  unformatted code.

* Code should always be linted before committing.  Do not commit
  unlinted code.

* The test suite is fast and local.  When running tests, don't run
  individual parts of the test suite, always run the whole thing by running
  "make test".

* Do not stop working on a task until you have reached the definition of
  done provided to you in the initial instruction.  Don't do part or most of
  the work, do all of the work until the criteria for done are met.

* When you complete each task, if the tests are passing and the code is formatted and there are no linter errors, always commit and push your work. Use a good commit message and don't mention any author or co-author attribution.